#
# spec file for package python-coverage-config-reload-plugin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-coverage-config-reload-plugin
Version:        0.2.0
Release:        3.44
# For license file
%define tag     2abc0b1f930ee5b281e15e8fb7e3dfe7a456e414
Summary:        Coverage hack plugin to reload the coverage configuration
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jayvdb/coverage_config_reload_plugin
Source0:        https://files.pythonhosted.org/packages/any/c/coverage-config-reload-plugin/coverage_config_reload_plugin-%{version}-py2.py3-none-any.whl
Source10:       https://raw.githubusercontent.com/jayvdb/coverage_config_reload_plugin/%{tag}/LICENSE
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module coverage >= 4.0}
# /SECTION
Requires:       python-coverage >= 4.0
BuildArch:      noarch

%python_subpackages

%description
Placed as the last plugin to be loaded, this plugin will reloads the
configuration files after other plugins have been loaded.

%prep
%setup -T -c -n %{name}-%{version}
cp %{SOURCE10} .

%build
# Not needed

%install
%python_expand pip%{$python_bin_suffix} install --root %{buildroot} --prefix %{_prefix} --compile %{SOURCE0}

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Jun  7 2018 toddrme2178@gmail.com
- Fix source URL
* Tue May 29 2018 toddrme2178@gmail.com
- Add license file
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
